com.brightcove.cast

## Class GoogleCastComponent.Builder

- java.lang.Object
- - com.brightcove.cast.GoogleCastComponent.Builder

- Enclosing class:
    GoogleCastComponent

      public static class GoogleCastComponent.Builder
      extends java.lang.Object

  The Builder to create a `GoogleCastComponent`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(EventEmitter eventEmitter, android.content.Context context)` Constructor of the Builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GoogleCastComponent` | `build()` Creates an instance of the GoogleCastComponent.
    `GoogleCastComponent.Builder` | `setAutoPlay(boolean autoPlay)` Whether playback on the Cast device should start immediately.
    `GoogleCastComponent.Builder` | `setBrightcoveCastMediaManager(BrightcoveCastMediaManager brightcoveCastMediaManager)` Customizable `BrightcoveCastMediaManager`.
    `GoogleCastComponent.Builder` | `setCustomData(CustomData customData)` The Brightcove `CustomData` to be used when sending custom data to the Cast receiver app.
    `GoogleCastComponent.Builder` | `setEnableCustomData(boolean enableCustomData)` Whether to send custom data to the Cast receiver app.
    `GoogleCastComponent.Builder` | `setQueuingSupported(boolean isQueuingSupported)` Whether queueing is supported in the cast receiver app.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(@NonNull
                         EventEmitter eventEmitter,
                         @NonNull
                         android.content.Context context)

      Constructor of the Builder.
      Parameters:
        `eventEmitter` - the event emitter of the current player.
        `context` - the context.

  - ### Method Detail

    - #### setBrightcoveCastMediaManager

          public GoogleCastComponent.Builder setBrightcoveCastMediaManager(@Nullable
                                                                           BrightcoveCastMediaManager brightcoveCastMediaManager)

      Customizable `BrightcoveCastMediaManager`.

    - #### setCustomData

          public GoogleCastComponent.Builder setCustomData(@Nullable
                                                           CustomData customData)

      The Brightcove `CustomData` to be used when sending custom data to the Cast receiver app.

    - #### setEnableCustomData

          public GoogleCastComponent.Builder setEnableCustomData(boolean enableCustomData)

      Whether to send custom data to the Cast receiver app. The value is set to false by default.
      Returns:
        this builder instance.

    - #### setQueuingSupported

          public GoogleCastComponent.Builder setQueuingSupported(boolean isQueuingSupported)

      Whether queueing is supported in the cast receiver app. If true, the Add To Queue menu item is displayed to the user. If false, only the Play Now menu item is shown.
      Parameters:
        `isQueuingSupported` - Whether queuing is supported in the Cast receiver app.
      Returns:
        this builder instance.

    - #### setAutoPlay

          public GoogleCastComponent.Builder setAutoPlay(boolean autoPlay)

      Whether playback on the Cast device should start immediately.
      Parameters:
        `autoPlay` - Whether playback on the Cast device should start immediately.
      Returns:
        this builder instance

    - #### build

          public GoogleCastComponent build()

      Creates an instance of the GoogleCastComponent.